/*
 * linux/include/asm-arm/arch-clps711x/ide.h
 *
 * Copyright (C) 2001 Atmark Techno, Inc.
 */

#ifdef CONFIG_BLK_DEV_ARMADILLO_IDE

#undef  MAX_HWIFS
#define MAX_HWIFS 2

#include <asm/arch/hardware.h>
#include <asm/arch/irqs.h>

extern void armadillo_ide_init_hwifs (void);

static __inline__ void
ide_init_hwif_ports (hw_regs_t *hw, int data_port, int ctrl_port, int *irq)
{
  ide_ioreg_t reg = data_port;
  int         i;
  
  memset (hw, 0, sizeof(*hw));
  
  for (i = IDE_DATA_OFFSET; i <= IDE_STATUS_OFFSET; i++) {
    hw->io_ports[i] = reg;
    reg += 2;
  }
  if (ctrl_port) {
    hw->io_ports[IDE_CONTROL_OFFSET] = ctrl_port;
  } else {
    hw->io_ports[IDE_CONTROL_OFFSET] = data_port + 0x2c;
  }
  if (irq) {
    *irq = 0;
  }
  hw->io_ports[IDE_IRQ_OFFSET] = 0;
}

static __inline__ void
ide_init_default_hwifs (void)
{
  hw_regs_t hw;
  
  armadillo_ide_init_hwifs ();
  
  ide_init_hwif_ports (&hw, IDE_BASE, IDE_BASE + 0x2c, NULL);
  hw.irq = IRQ_IDE;
  ide_register_hw (&hw, NULL);
}

#endif
